Skip to main content
PATCH
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
lead-settings
Update Lead Settings
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/lead-settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enableLeadCollection": true,
  "customerNameTake": true,
  "customerPhoneTake": true,
  "customerEmailTake": true,
  "industryTemplate": "<string>",
  "whenToCollectLead": "<string>",
  "customerTriggerKeywords": "<string>",
  "bookingIntegration": true,
  "bookingIntegrationLink": "<string>",
  "leadNotification": true,
  "leadNotificationEmail": [
    "<string>"
  ],
  "customerFormField": {},
  "autoEscalateOnLeadCapture": true
}
'
{
  "success": true,
  "message": "Lead settings updated successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "enableLeadCollection": false,
    "customerNameTake": false,
    "customerPhoneTake": false,
    "customerEmailTake": true,
    "industryTemplate": "<string>",
    "whenToCollectLead": "<string>",
    "customerTriggerKeywords": "<string>",
    "bookingIntegration": false,
    "bookingIntegrationLink": "<string>",
    "leadNotification": false,
    "leadNotificationEmail": [
      "<string>"
    ],
    "customerFormField": {},
    "autoEscalateOnLeadCapture": false,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json

All fields are optional. Only provided fields are applied.

enableLeadCollection
boolean
customerNameTake
boolean
customerPhoneTake
boolean
customerEmailTake
boolean
industryTemplate
string
whenToCollectLead
string
customerTriggerKeywords
string
bookingIntegration
boolean
leadNotification
boolean
leadNotificationEmail
string[]
customerFormField
object
autoEscalateOnLeadCapture
boolean

Response

Updated

success
boolean
Example:

true

message
string
Example:

"Lead settings updated successfully"

data
object